Bug Hunting Session
Bug 79757 - JAVA: better auto detection of java folders on Windows
Summary: JAVA: better auto detection of java folders on Windows
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta2
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2014-06-07 00:04 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-16 10:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-07 00:04:35 UTC
On Windows 7, i've noticed that going into Tools > Options > LibreOffice > Advanced doesnt return the correct list of java for me, which result in me having to point Libreoffice to C:\Program Files\java\jre7 to find it. So i'd like to suggest that it search for the JRE in each of the folders found in C:\Program Files\java\ and C:\Program Files (x86)\java\.
Comment 1 m.a.riosv 2014-06-07 12:05:45 UTC
Hi Jay, thanks for reporting.

As LibreOffice at least in Windows only can use a 32 bits Java version, I think your suggestion about search in C:\Program Files\java\jre7 have no sense for now.
Comment 2 Yousuf Philips (jay) (retired) 2014-06-07 12:36:13 UTC
(In reply to comment #1)
> Hi Jay, thanks for reporting.
> 
> As LibreOffice at least in Windows only can use a 32 bits Java version, I
> think your suggestion about search in C:\Program Files\java\jre7 have no
> sense for now.

Hi m.a.riosv,

Though you state that it will only work on a 32-bit java, Tools > Options lists and allows me to select a 64-bit version of java. So is libreoffice not using the 64-bit version even though its been selected.
Comment 3 Joel Madero 2014-06-25 03:19:06 UTC
m.a.riosv is right here - I reported another bug that is related but instead focuses on the fact that you can select the 64 bit version at all.

See bug 80509

This is NOTABUG currently - works as needed because we only support 32 bit version on Windows